Package ghidra.app.util.datatype.microsoft

# Class GuidUtil

java.lang.Object
ghidra.app.util.datatype.microsoft.GuidUtil

public class GuidUtil extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `GuidUtil.GuidType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GuidUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getGuidString(Program program, Address address, boolean validate)`
  `static GuidInfo`
  `getKnownGuid(Program program, Address address)`
  `static GuidInfo`
  `getKnownGuid(String guidString)`
  `static GuidInfo`
  `getKnownVersionedGuid(String versionedGuidString)`
  `static String`
  `getVersionedGuidString(Program program, Address address, boolean validate)`
  `static boolean`
  `isGuidLabel(Program program, Address address, String label)`
  Verify that the specified label correpsonds to a Microsoft symbol name for the GUID stored at the specified address within program.
  `static GuidInfo`
  `parseLine(String guidNameLine, String delim, GuidUtil.GuidType guidType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GuidUtil

    public GuidUtil()

- ## Method Details

  - ### getKnownGuid

    public static GuidInfo getKnownGuid(Program program, Address address)

  - ### getKnownGuid

    public static GuidInfo getKnownGuid(String guidString)

  - ### getKnownVersionedGuid

    public static GuidInfo getKnownVersionedGuid(String versionedGuidString)

  - ### parseLine

    public static GuidInfo parseLine(String guidNameLine, String delim, GuidUtil.GuidType guidType)

  - ### getGuidString

    public static String getGuidString(Program program, Address address, boolean validate)

  - ### getVersionedGuidString

    public static String getVersionedGuidString(Program program, Address address, boolean validate)

  - ### isGuidLabel

    public static boolean isGuidLabel(Program program, Address address, String label)
    Verify that the specified label correpsonds to a Microsoft symbol name for the GUID stored at the specified address within program.
    Parameters:
      `program` - program
      `address` - memory address
      `label` - symbol name to be checked
    Returns:
      true if label is a valid GUID label which corresponds to the GUID stored at address within program